Skip to navigation

Create custom provision definition

View as Markdown
Creates a new custom provision definition for the specified account.

Authentication

AuthorizationBearer

Path parameters

accountIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"

Request

A provision definition.
keystring or nullOptional

Stable machine identifier for the provision. Populated on GET and POST responses; ignored on POST request bodies.

labelstringOptional

Human-readable display name for the provision. May contain spaces, punctuation, and mixed case.

categoryenumOptional
The category a provision field belongs to.
typeenumOptional
The data type of the provision
Allowed values:
optionslist of stringsOptional
Available options when type is LIST.
associationslist of stringsOptional
Associated resources or contexts for this provision.
metadataobjectOptional

Response

The provision definition was created successfully.
keystring or nullOptional

Stable machine identifier for the provision. Populated on GET and POST responses; ignored on POST request bodies.

labelstringOptional

Human-readable display name for the provision. May contain spaces, punctuation, and mixed case.

categoryenumOptional
The category a provision field belongs to.
typeenumOptional
The data type of the provision
Allowed values:
optionslist of stringsOptional
Available options when type is LIST.
associationslist of stringsOptional
Associated resources or contexts for this provision.
metadataobjectOptional
response_metadataobjectOptional
Control information and metadata for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error